# gdcm::Coder Class Reference

Coder. More...

`#include <gdcmCoder.h>`

Inheritance diagram for gdcm::Coder:
[legend]

List of all members.

## Public Member Functions
virtual | ~Coder ()
virtual bool | CanCode (TransferSyntax const &) const =0
| Return whether this coder support this transfer syntax (can code it).
virtual bool | Code (DataElement const &in, DataElement &out)
| Code.
## Protected Member Functions
virtual bool | InternalCode (const char *bv, unsigned long len, std::ostream &os)

## Detailed Description

Coder.

## Constructor & Destructor Documentation

virtual gdcm::Coder::~Coder | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual bool gdcm::Coder::CanCode | ( | TransferSyntax const & |  | ) | const`[pure virtual]`

Return whether this coder support this transfer syntax (can code it).

Implemented in gdcm::AudioCodec, gdcm::JPEG2000Codec, gdcm::JPEGCodec, gdcm::JPEGLSCodec, gdcm::PDFCodec, gdcm::PNMCodec, gdcm::PVRGCodec, gdcm::RAWCodec, and gdcm::RLECodec.

virtual bool gdcm::Coder::Code | ( | DataElement const & | in,
|  | DataElement & | out |
| ) |  |  | `[inline, virtual]`

Code.

Reimplemented in gdcm::JPEG2000Codec, gdcm::JPEGCodec, gdcm::JPEGLSCodec, gdcm::PVRGCodec, gdcm::RAWCodec, and gdcm::RLECodec.

virtual bool gdcm::Coder::InternalCode | ( | const char * | bv,
|  | unsigned long | len,
|  | std::ostream & | os |
| ) |  |  | `[inline, protected, virtual]`

Reimplemented in gdcm::JPEG12Codec, gdcm::JPEG16Codec, and gdcm::JPEG8Codec.

The documentation for this class was generated from the following file:

- gdcmCoder.h